/// <reference types="node" />
import { Server as WSServer } from 'ws';
import { APIGatewayV2Handler } from '../';
import { EventProcessorFn } from '../createMemoryEventProcessor';
import MemoryEventStore from '../MemoryEventStore';
import MemorySubscriptionManager from '../MemorySubscriptionManager';
import WebSocketConnectionManager from '../WebSocketConnectionManager';
declare class TestLambdaServer {
    connectionManager: WebSocketConnectionManager;
    eventStore: MemoryEventStore;
    subscriptionManager: MemorySubscriptionManager;
    eventProcessor: EventProcessorFn;
    eventProcessingInterval: NodeJS.Timer;
    handler: APIGatewayV2Handler;
    port: number;
    wsServer: WSServer;
    constructor({ port }?: {
        port?: number;
    });
    close: () => Promise<{}>;
    processEvents: () => void;
    start: () => Promise<{}>;
}
export { TestLambdaServer };
